less plugins

17 views
Skip to first unread message

benjamin garcia

unread,
Oct 11, 2013, 5:58:16 AM10/11/13
to ju...@googlegroups.com
Hi, 

I have a bug with less plugin on line from selectize.js framework : 

11:38:25:575 [LessMetaModelPlugin] error evaluating function `rgba`: color functions take numbers as parameters in selectize/selectize.less on line 30, column 45:
[29]    @selectize-color-dropdown-item-active-text: #495c68;
[30] -> @selectize-color-dropdown-item-create-text: rgba(red(@selectize-color-text), green(@selectize-color-text), blue(@selectize-color-text), 0.5);
[31]    @selectize-color-dropdown-item-create-active-text: @selectize-color-dropdown-item-active-text;

It can't evaluate less function (red, green, blue)

Arnaud Héritier

unread,
Oct 11, 2013, 6:09:53 AM10/11/13
to ju...@googlegroups.com
they are using the real less ? (I didn't checked).
Because for example with Boostrap 3 we cannot anymore use Less but we need to use Recess an extension they did on top of LESS :(
The less plugin in juzu is using the version 1.3.1. The 1.4.1 is out, perhaps it is a compatibility issue ?
(I tried to upgrade it  yesterday night but tests are failing and I didn't investigated more)



--
You received this message because you are subscribed to the Google Groups "Juzu" group.
To unsubscribe from this group and stop receiving emails from it, send an email to juzu+uns...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.



--
-----
Arnaud Héritier
Mail/GTalk: aheritier AT gmail DOT com
Twitter/Skype : aheritier

benjamin garcia

unread,
Oct 11, 2013, 8:41:28 AM10/11/13
to ju...@googlegroups.com
Yes, it use real less. 
I try with an external tools and it generate css.
I think it's a version problem too. I will use css, it's juste to prevent bug.

Julien Viet

unread,
Oct 11, 2013, 9:14:18 AM10/11/13
to ju...@googlegroups.com
I think we should try to use the java wrapper for less for the @Less plugin.

Reply all
Reply to author
Forward
0 new messages